
<div class="modal">
  <button type="button" class="close" (click)="closeModal()">
    <span aria-hidden="true">&times;</span>
  </button>
  <div class="all-in-one-table">
    <elastic-page-header [height]="'100px'" background="url(assets/img/demo/headers/pattern-3.png)" [reverse]="true">
    </elastic-page-header>
  </div>
  <h1>Asignar candado</h1>
</div>
<div class="modal-search">
  <mat-label class="paddingSearch">Candados</mat-label>
  <mat-form-field class="inputSearch">
    <mat-icon class="filter-input-icon" matPrefix>search</mat-icon>
    <mat-label>Buscar</mat-label>
    <input [(ngModel)]="valueSearchLocks" (ngModelChange)="onInputChange()" matInput
      placeholder="Buscar por Imei o Qr." />
  </mat-form-field>
  <button mat-raised-button *ngIf="valueSearchLocks==''" disabled class="buttonSearch">Buscar</button>
  <button mat-raised-button *ngIf="valueSearchLocks"  (click)="search()" class="buttonSearch">Buscar</button>
</div>
<div class="textResults" *ngIf="currentPageLocks.length != 0">
  <mat-icon>check_circle_outline</mat-icon>
  <mat-label *ngIf="currentPageLocks.length==1" class="results">Se encontro {{currentPageLocks.length}} resultado</mat-label>
  <mat-label *ngIf="currentPageLocks.length>1" class="results">Se encontraron {{currentPageLocks.length}} resultados</mat-label>
</div>
<div class="textResults" *ngIf="currentPageLocks.length == 0">
  <mat-icon>remove_circle_outline</mat-icon>
  <mat-label class="results">No se encontro ningun resultado de busqueda</mat-label>
</div>
<elastic-data-table class="table-container" [columns]="LocksColumns" [dataPage]="currentPageLocks" [loading]="loading"
  [totalRecords]=" totalLocks" [pageSize]="locksPageSize" (rowAction)="tableAction($event)"
  (changePage)="changePage($event)">
</elastic-data-table>

